Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354180 - [RFE] remove 'FIX_RELEASE=' from version.mak file
Summary: [RFE] remove 'FIX_RELEASE=' from version.mak file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Sandro Bonazzola
QA Contact: Eyal Edri
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 11:53 UTC by Eyal Edri
Modified: 2017-05-11 09:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 15:34:01 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61949 master MERGED packaging: drop FIX_RELEASE handling 2016-08-05 11:10:30 UTC

Description Eyal Edri 2016-07-10 11:53:29 UTC
Description of problem:
Today we have duplicate update of files each time we release a new build of ovirt-engine.

First we update all pom.xml files to latest version that matches the new official tag, but we also update the 'version.mak' file with

FIX_RELEASE=X, where X is usually the minor version which correlates to the version we used in pom.xml.

For e.g, if ovirt-engine version on pom.xml is 3.6.8 then FIX_RELEASE=8.
If version is 4.0.1.1 then FIX_RELEASE=1.1 

So instead of updating version.mak manually each time and exposing it to human errors and rebase conflicts with downstream branches, we can easily get the value it needs from the pom.xml file

If its possible to do inside the spec file or another place, I think it will simplify the build process and take us one step forward towards automation of the official builds.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2016-12-12 14:02:17 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 2 Gil Klein 2017-04-04 13:01:41 UTC
Eyal, Based on comment #1 , can this RFE move to verified?


Note You need to log in before you can comment on or make changes to this bug.